Subject: Re: bug#31305: 27.0.50; Symlinks recognized as dirs

From: Paul Eggert <[email-masked]>
Date: Wed, 16 May 2018 18:09:17 -0700

On 05/16/2018 05:29 PM, David Caldwell wrote:
>> then a simple fix
>> is to have emacsformacosx.com build for OS X 10.10 or later,
> This is very easy to do, I mostly haven't already because I didn't see
> any compelling reason to build on later machines (I'm not aware of any
> 10.10-10.13 dependent features the same way that say full screen mode
> only works in 10.9 and later).

Thanks for the info. When you have a moment could you please try 
building on OS X 10.10 and then testing the result? I assume OS X 10.10 
has a file /etc/passwd so you could run something like this:

ln -s /etc/passwd .
src/emacs -Q -batch -eval '(message "%S" (file-name-completion "pass" "."))'

This should output "passwd" (assuming that the build directory has no 
other entry beginning with "pass"), but if the bug I'm hypothesizing is 
triggered, than it will output "passwd/".